Package org.springframework.security.web.debug

# Class DebugFilter

java.lang.Object
org.springframework.security.web.debug.DebugFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`

public final class DebugFilter extends Object implements jakarta.servlet.Filter
Spring Security debugging filter.

Logs information (such as session creation) to help the user understand how requests are being handled by Spring Security and provide them with other relevant information (such as when sessions are being created).

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`DebugFilter(FilterChainProxy filterChainProxy)`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`void`
`doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain filterChain)`
`FilterChainProxy`
`getFilterChainProxy()`
`void`
`init(jakarta.servlet.FilterConfig filterConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DebugFilter

public DebugFilter(FilterChainProxy filterChainProxy)

## Method Details

### doFilter

public void doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain filterChain) throws jakarta.servlet.ServletException, IOException

Specified by:
  `doFilter` in interface `jakarta.servlet.Filter`
Throws:
  `jakarta.servlet.ServletException`
  `IOException`

### init

public void init(jakarta.servlet.FilterConfig filterConfig)

Specified by:
  `init` in interface `jakarta.servlet.Filter`

### destroy

public void destroy()

Specified by:
  `destroy` in interface `jakarta.servlet.Filter`

### getFilterChainProxy

public FilterChainProxy getFilterChainProxy()